commit:     f7dd0af4e61f40537119d752cacbf902a09939b3
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 14 05:08:10 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jun 14 06:21:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7dd0af4

dev-ruby/dalli: add 3.2.5

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/dalli/Manifest           |  1 +
 dev-ruby/dalli/dalli-3.2.5.ebuild | 43 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-ruby/dalli/Manifest b/dev-ruby/dalli/Manifest
index 7050a82d9beb..46259bb430dd 100644
--- a/dev-ruby/dalli/Manifest
+++ b/dev-ruby/dalli/Manifest
@@ -1 +1,2 @@
 DIST dalli-3.2.4.tar.gz 71999 BLAKE2B 
bb4ea91328e60740d8be0664b2a359007230efcc87611e620b08cc18292e85384780afcc09de575314f3bd39d261b8d26c558f4329ba55f13f1306681ce0ec71
 SHA512 
5f5f802a76b1d611b42251c8eb70538cb1da6b43bb681fb7e0b4a7124bf46ab4d89be4ab31bb071d7205c897ba940ef523384efa18b5723d57d8edaea2198350
+DIST dalli-3.2.5.tar.gz 72496 BLAKE2B 
2a8665aad98629ccab873a2b6b6661304b25dd2374ed3685f97dee83bf43c604088e43229ced951453d889fab7a1ec35b7fb3f0028858cf890a6013ac82b64c1
 SHA512 
ace079e3c9f7c30e2f266a07f87e58cbf4276f5ca4744ade76782a6a6047296bf5e23d40a4c1f4596b1eb150501c460f7cf89b33f308a774bcfe5825ec635760

diff --git a/dev-ruby/dalli/dalli-3.2.5.ebuild 
b/dev-ruby/dalli/dalli-3.2.5.ebuild
new file mode 100644
index 000000000000..cdc6ec7366bd
--- /dev/null
+++ b/dev-ruby/dalli/dalli-3.2.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true test"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md Performance.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A high performance pure Ruby client for accessing memcached 
servers"
+HOMEPAGE="https://github.com/petergoldstein/dalli";
+SRC_URI="https://github.com/petergoldstein/dalli/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~x86"
+IUSE=""
+
+DEPEND+="${DEPEND} test? ( >=net-misc/memcached-1.5.4[ssl(-)] )"
+
+ruby_add_bdepend "test? (
+               dev-ruby/connection_pool
+               dev-ruby/minitest:5
+               dev-ruby/rack
+)"
+
+all_ruby_prepare() {
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+       sed -i -e '/\(appraisal\|bundler\)/ s:^:#:' Rakefile || die
+
+       sed -i -e '3igem "minitest", "~> 5.0"; require "dalli"' \
+               -e '/bundler/ s:^:#:' test/helper.rb || die
+
+       sed -i -e "s:/tmp:${T}:" test/utils/certificate_generator.rb || die
+}

Reply via email to